## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate cfg-expr

Name:           rust-cfg-expr
Version:        0.18.0
Release:        %autorelease
Summary:        Parser and evaluator for Rust cfg() expressions

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cfg-expr
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax target-lexicon dependency from =0.13.2 to ^0.13.2
Patch:          cfg-expr-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A parser and evaluator for Rust `cfg()` expressions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+target-lexicon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+target-lexicon-devel %{_description}

This package contains library source intended for building other packages which
use the "target-lexicon" feature of the "%{crate}" crate.

%files       -n %{name}+target-lexicon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+targets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+targets-devel %{_description}

This package contains library source intended for building other packages which
use the "targets" feature of the "%{crate}" crate.

%files       -n %{name}+targets-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Mar 24 2025 Fabio Valentini <decathorpe@gmail.com> - 0.18.0-1
- Update to version 0.18.0; Fixes RHBZ#2346866

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 0.17.2-1
- Update to version 0.17.2; Fixes RHBZ#2300374

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Apr 12 2024 Fabio Valentini <decathorpe@gmail.com> - 0.15.8-1
- Update to version 0.15.8; Fixes RHBZ#2263481

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Fabio Valentini <decathorpe@gmail.com> - 0.15.6-1
- Update to version 0.15.6; Fixes RHBZ#2256441

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.5-1
- Update to version 0.15.5; Fixes RHBZ#2238016

* Fri Jul 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.4-1
- Update to version 0.15.4; Fixes RHBZ#2227323

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.3-1
- Update to version 0.15.3; Fixes RHBZ#2216010

* Fri Jun 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.2-1
- Update to version 0.15.2; Fixes RHBZ#2211907

* Thu May 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.1-1
- Update to version 0.15.1; Fixes RHBZ#2130184

* Mon Apr 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-1
- Update to version 0.14.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-1
- Update to version 0.11.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 23 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.3-1
- Update to version 0.10.3; Fixes RHBZ#2088293

* Fri Feb 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.2-1
- Update to version 0.10.2; Fixes RHBZ#2050634

* Wed Feb 02 2022 Rémi Lauzier <remilauzier@protonmail.com> - 0.9.1-1
- Update to version 0.9.1; Fixes RHBZ#2048915

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 15 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.9.0-1
- Update to version 0.9.0; Fixes RHBZ#1999486

* Thu Aug 05 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.1-1
- Update to version 0.8.1; Fixes RHBZ#1990578

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.0-3
- Relax target-lexicon to version 0.12; Fixes RHBZ#1983368

* Fri Jul 16 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.0-2
- Really update to version 0.8.0; Fixes RHBZ#1982978

* Fri Jul 16 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.0-1
- Update to version 0.8.0; Fixes RHBZ#1982978

* Mon Jul 12 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.4-2
- Update for target-lexicon 0.12; Fixes RHBZ#1981348

* Sat Jul 10 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.4-1
- Initial package; Fixes RHBZ#1976529
## END: Generated by rpmautospec
